<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIsVoucherCodeUniqueToVoucherCampaignsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('voucher_campaigns', function (Blueprint $table) {
            $table->boolean('is_voucher_code_unique')->default(false)->after('is_display');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('voucher_campaigns', function (Blueprint $table) {
            $table->dropColumn('is_voucher_code_unique');
        });
    }
}
